corda / net.corda.node.services.schema / HibernateObserver / NodeDatabaseConnectionProvider

# NodeDatabaseConnectionProvider

`class NodeDatabaseConnectionProvider : ConnectionProvider`

### Constructors

<init> | `NodeDatabaseConnectionProvider()`

### Functions

closeConnection | `fun closeConnection(conn: Connection): Unit`
getConnection | `fun getConnection(): Connection`
isUnwrappableAs | `fun isUnwrappableAs(unwrapType: Class<*>?): Boolean`
supportsAggressiveRelease | `fun supportsAggressiveRelease(): Boolean`
unwrap | `fun <T> unwrap(unwrapType: Class<T>): T`